Summary: CMU SNMP agent
Name: cmu-snmp
Version: 3.5
Release: C3
Copyright: CMU
Group: Networking/Daemons

Url: http://www.gaertner.de/snmp/
Source: ftp://ftp.ibr.cs.tu-bs.de/pub/local/linux-cmu-snmp/cmu-snmp-linux-3.5-src.tar.gz
Source1: snmpd.init
Source2: snmpd.conf

Patch0: cmu-snmp-linux-3.5-shlib.patch
Patch1: cmu-snmp-linux-3.5-glibc.patch
Patch2: cmu-snmp-linux-3.5-conf.patch 
Patch3: cmu-snmp-linux-3.5-secure.patch
Patch4: cmu-snmp-linux-3.5-mode600.patch
Patch5: cmu-snmp-linux-3.5-mips.patch

Prereq:
#Prereq: /sbin/chkconfig
# commented out since cobalt does not use this rc manager (initscripts-cobalt-1.0-4.mips.rpm)
BuildRoot: /tmp/snmp-root

%define LIBVER 3.5

%changelog

* Sun Jun 21 1998 Aaron Fosdick <aaron@cobaltmicro.com>

- Moved init scripts to initscripts-cobalt

* Sun Jun 14 1998 Aaron Fosdick <aaron@cobaltmicro.com>

- modified snmpd.init to write to LCD panel

* Fri May 29 1998 Aaron Fosdick <aaron@cobaltmicro.com>

- Cobalt specific 3.5 version modified from redhat 3.4 rpm spec
- cmu-snmp-linux-3.5-mips.patch - library fixes for mips (by Gideon Glass) 
- cmu-snmp-linux-3.5-conf.patch - updates redhat's secure.patch of snmpd.conf to 3.5

* Wed Oct 29 1997 Michael Fulbright <msf@redhat.com>

- made snmpd NOT start by default
- fixed snmpd.conf to be mode 600

* Fri Oct 17 1997 Michael Fulbright <msf@redhat.com>

- made to use chkconfig
- added restart and status to init script
- updated to version 3.4

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc 

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>

- fixed grammer in changelog entry from 3/21
- turned off size, md5sum, and timestamp checking on /etc/snmpd.agentinfo

* Fri Mar 21 1997 Michael Fulbright <msf@redhat.com>

- Bryan and I fixed up default snmpd.conf so everyone cant change your
  route tables.

- Included authkey in file list.

* Wed Mar 19 1997 Michael Fulbright <msf@redhat.com>

- Updated to version 3.3.

* Wed Mar 12 1997 Erik Troan <ewt@redhat.com>

- This shouldn't be run in runlevel 2 (which doesn't setup networking).

* Tue Mar 04 1997 Michael Fulbright <msf@redhat.com>

- Added post-install script entry to check for presence of the file
  /etc/snmpd.agentinfo. If this file does not exist, we create it.
  It is empty, but is needed for snmpd to run properly.


%description
This is a derivative of the original Carnegie Mellon University
Simple Network Management Protocol.  It is useful for managing 
networks and doing accounting.

%package utils
Group: Networking/Utilities
Summary: CMU SNMP utilities
Requires: cmu-snmp

%description utils
These are the various utilities for use with CMU SNMP.  Contains utils
such as snmpwalk, snmptest, and more.

%package devel
Group: Networking/Utilities
Summary: CMU SNMP development libs and headers
Requires: cmu-snmp

%description devel
These are the development libraries and header files for CMU SNMP.
This will allow the network administrator to write programs for
use with network management.

%prep
%setup -n cmu-snmp-linux-3.5

%patch0 -p1
%patch1 -p1
%patch2 -p1
cd etc
%patch3 -p1
cd ..

%patch4 -p1

%patch5 -p1

%build
autoconf
#INSTALL=install ./configure --prefix=/usr --with-liba
./configure --prefix=/usr --with-liba
make all

%install
rm -rf $RPM_BUILD_ROOT
for I in lib usr/bin usr/lib usr/man usr/sbin usr/man/man5 \
	usr/man/man8 usr/man/man3 usr/man/man1 usr/include \
	usr/include/snmp etc ; 
#	etc/rc.d etc/rc.d/init.d \
#	etc/rc.d/rc0.d etc/rc.d/rc1.d etc/rc.d/rc2.d \
#	etc/rc.d/rc3.d etc/rc.d/rc4.d etc/rc.d/rc5.d \
#	etc/rc.d/rc6.d ; 
	do
	mkdir -p $RPM_BUILD_ROOT/$I
done

make SHLIBDIR="$RPM_BUILD_ROOT/usr/lib" exec_prefix=$RPM_BUILD_ROOT/usr \
      prefix=$RPM_BUILD_ROOT/usr cprefix=$RPM_BUILD_ROOT/etc install

#install -m600 etc/snmpd.conf $RPM_BUILD_ROOT/etc/snmpd.conf
#install -m600 etc/snmpd.agentinfo $RPM_BUILD_ROOT/etc/snmpd.agentinfo
#install -m755 snmplib/libsnmp.a $RPM_BUILD_ROOT/usr/lib
#install -m555 snmplib/mib.h $RPM_BUILD_ROOT/usr/include/snmp
#install -m555 snmplib/snmp_client.h $RPM_BUILD_ROOT/usr/include/snmp

# this is dumb, but way its installed above beyond my control
for dir in bin sbin; do
  for i in $RPM_BUILD_ROOT/usr/${dir}/*; do 
   ftype=`file $i`
   result=`echo $ftype | sed -n '/ELF/p'`
   if [ "$result" != "" ]; then
     strip $i
   fi
  done
done

#strip $RPM_BUILD_ROOT/usr/bin/*
#strip $RPM_BUILD_ROOT/usr/sbin/*



#install -m 755 $RPM_SOURCE_DIR/snmpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd
#(cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d;
#     ln -sf ../init.d/snmpd K40snmpd
# cd $RPM_BUILD_ROOT/etc/rc.d/rc1.d;
#     ln -sf ../init.d/snmpd K40snmpd
# cd $RPM_BUILD_ROOT/etc/rc.d/rc2.d;
#     ln -sf ../init.d/snmpd K40snmpd
# cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d;
#     ln -sf ../init.d/snmpd S40snmpd
# cd $RPM_BUILD_ROOT/etc/rc.d/rc4.d;
#     ln -sf ../init.d/snmpd S40snmpd
# cd $RPM_BUILD_ROOT/etc/rc.d/rc5.d;
#     ln -sf ../init.d/snmpd S40snmpd
# cd $RPM_BUILD_ROOT/etc/rc.d/rc6.d;
#     ln -sf ../init.d/snmpd K40snmpd
#)

install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/snmpd.conf $RPM_BUILD_ROOT/etc/snmpd.conf

%post
#/sbin/ldconfig
#/sbin/chkconfig --add snmpd 
if [ ! -f /etc/snmpd.agentinfo ]; then
  touch /etc/snmpd.agentinfo
fi

%postun
#/sbin/ldconfig
#if [ $1 = 0 ]; then
#   /sbin/chkconfig --del snmpd
#fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libsnmp.so.%{LIBVER}
/usr/sbin/snmpd
/usr/lib/mib.txt
%config /etc/snmpd.conf
%verify(not md5 mtime size) %config /etc/snmpd.agentinfo
#%config /etc/rc.d/init.d/snmpd
#%config(missingok) /etc/rc.d/rc0.d/K40snmpd
#%config(missingok) /etc/rc.d/rc1.d/K40snmpd
#%config(missingok) /etc/rc.d/rc2.d/K40snmpd
#%config(missingok) /etc/rc.d/rc3.d/S40snmpd
#%config(missingok) /etc/rc.d/rc4.d/S40snmpd
#%config(missingok) /etc/rc.d/rc5.d/S40snmpd
#%config(missingok) /etc/rc.d/rc6.d/K40snmpd
/usr/man/man8/snmpd.8
/usr/man/man5/snmpd.conf.5
/usr/man/man5/variables.5

%files utils
/usr/lib/libsnmp.so.%{LIBVER}
/usr/bin/authkey
/usr/bin/nstat
/usr/bin/snmpwalk
/usr/bin/snmptest
/usr/bin/snmpget
/usr/bin/snmpgetnext
/usr/bin/snmpset
/usr/sbin/snmptrapd
/usr/bin/snmpnetstat
/usr/bin/snmptrap

/usr/man/man1/snmpwalk.1
/usr/man/man1/snmptest.1
/usr/man/man1/snmpset.1
/usr/man/man1/snmpget.1
/usr/man/man1/snmpgetnext.1
/usr/man/man1/snmpnetstat.1
/usr/man/man1/authkey.1
/usr/man/man1/snmptrap.1

/usr/man/man5/variables.5
/usr/man/man5/snmpd.conf.5

/usr/man/man8/snmptrapd.8

/usr/man/man1/nstat.1

%files devel
/usr/include/snmp
/usr/man/man3/snmp_api.3
/usr/man/man5/variables.5
/usr/lib/libsnmp.a










